Subject: Re: [Teas] Status update on draft-ietf-teas-sf-aware-topo-model

From: <[email-masked]>
Date: Thu, 9 Apr 2020 11:08:00 +0000

From: Xufeng Liu <[email-masked]>
Sent: 12 March 2020 21:57

We have posted the updated version ( https://tools.ietf.org/html/draft-ietf-teas-sf-aware-topo-model-05 ) to fix the issues that you raised.
Thanks a lot,

<tp>
Xufeng,

looks better and apologies for being slow to respond.

C.12 IANA, C.13 Security look odd and contradict s.5, s.6.  Is there any reason for them to exist?

Security s.6 does not conform to the boiler plate referenced in RFC8407.  This asks that sensitive nodes be called out and I would think that at least the enable nodes for connectivity matrix and link terminations would qualify for that.

Tom Petch

- Xufeng

On Tue, Mar 26, 2019 at 6:05 AM tom petch <[email-masked]<mailto:[email-masked]>> wrote:
Xufeng

Some quirks.

Introduction/Abstract do not mention support or lack thereof  for NMDA
(which the IESG have been calling for).
[Xufeng]: Added.

Introduction does not have a reference for YANG leaving the question of
version number uncertain
[Xufeng]: Added.

Terminology fails to reference RFC8174
[Xufeng]: Fixed

Expand on first use, perhaps in Terminology, is helpful - TOSCA, SF2LTP,
SF2SF, SF2TTP,
[Xufeng]: Fixed

CSO
[Xufeng]: Authors and contributors discussed CSO and decided to remove it from this document and put it into a separate document.

yang-version 1 is rather limiting
[Xufeng]: Use 1.1 now.

YANG import statements lack references (which YANG 1.1 allows)

/       reference "TBD";/
       reference "RFC XXXX - SF Aware TE Topology YANG Model"; /
[Xufeng]: Fixed these statements.

   module ietf-cso-dc
no version
no copyright
no reference to the I-D
no description clauses
no reference clauses
somewhat short of ready IMHO- I think that this needs a lot of work!
[Xufeng]: As mentioned above, CSO is removed from this document and planned to be put into a separate document.

IANA Considerations
   RFC Ed.: In this section, replace all occurrences of 'XXXX' with the
   actual RFC number (and remove this note).
I suggest that this apply throughout the I-D and that the Note is placed
at the start, before the Introduction (the RFC Editor are happy with
just the one note)
[Xufeng]: Changed as suggeted.

RFC6020 is a better reference for the IANA Considerations
[Xufeng]: Right. Use  RFC6020 now.

   [I-D.ietf-netmod-revised-datastores]
RFC8342
[Xufeng]: Fixed.

   [I-D.ietf-netmod-yang-tree-diagrams]
RFC8340
[Xufeng]:  Fixed.

   [I-D.ietf-i2rs-yang-network-topo]
RFC8345
[Xufeng]: Fixed.

     import ietf-actn-vn {
does not appear in section 1.3
[Xufeng]: Added.

Tom Petch

----- Original Message -----
From: "Xufeng Liu" <[email-masked]<mailto:[email-masked]>>
To: "TEAS WG" <[email-masked]<mailto:[email-masked]>>
Sent: Saturday, March 23, 2019 12:02 PM
Subject: [Teas] Status update on draft-ietf-teas-sf-aware-topo-model

> Current Status:
>
>   *  The updated revision -03 was posted on Mar 11, 2019:
>
>      > Editorial fixes.
>
> Open Issues:
>
>   *   None.
>
> Next Steps:
>
>   *  Update the document to align with the latest versions of
>      referenced documents, including draft-ietf-teas-yang-te-topo,
>      RFC8340, RFC8342, RFC8345, and RFC8459.
>   *  Update the section of Security Considerations according to latest
>      guidelines.
>   *  Get further reviews.
>   *  YANG doctor's review.
>   *  Working Group Last Call after completing above.
>
> Thanks,
> - Xufeng
>

------------------------------------------------------------------------
--------

> _______________________________________________
> Teas mailing list
> [email-masked]<mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/teas
>

---

From: Xufeng Liu <[email-masked]>
Date: Mon, 20 Apr 2020 19:19:09 -0400

Hi Tom,

Thanks for checking. We will fix the two additional items in the next
revision.
Best regards,
- Xufeng

On Thu, Apr 9, 2020 at 7:08 AM <[email-masked]> wrote:

> We have posted the updated version (
> https://tools.ietf.org/html/draft-ietf-teas-sf-aware-topo-model-05 ) to
> fix the issues that you raised.
> Thanks a lot,
>
> <tp>
> Xufeng,
>
[Xufeng]: These two sections should go way. The got included accidentally
when another document was merged into this. We will remove these two
sections.

>
> Security s.6 does not conform to the boiler plate referenced in RFC8407.
> This asks that sensitive nodes be called out and I would think that at
> least the enable nodes for connectivity matrix and link terminations would
> qualify for that.
>
[Xufeng]: We will fix the section in the next revision. Thanks for pointing
it out.

> [Xufeng]: Authors and contributors discussed CSO and decided to remove it
> from this document and put it into a separate document.
>
> [Xufeng]: As mentioned above, CSO is removed from this document and
> planned to be put into a separate document.
>
> IANA Considerations